import _mergeJSXProps from "babel-helper-vue-jsx-merge-props";

/**
 * @Date: 2020/11/23 8:12 下午
 * @Author: Fioanna
 * @Description: 带文字长度展示的文本域，继承自EInput
 */
import TextArea from 'ant-design-vue/es/input/TextArea';
import EInput from '../Input';
import textareaProps from './types';
export default {
  name: 'ETextarea',
  "extends": EInput,
  props: textareaProps,
  methods: {
    _renderInput: function _renderInput() {
      var h = this.$createElement;
      return h(TextArea, _mergeJSXProps([{
        props: this.$props
      }, {
        on: {
          "change": this._change,
          "blur": this._blur
        }
      }]));
    }
  }
};