"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "searchBarProps", {
  enumerable: true,
  get: function get() {
    return _types["default"];
  }
});
Object.defineProperty(exports, "SearchBar", {
  enumerable: true,
  get: function get() {
    return _SearchBar["default"];
  }
});
exports["default"] = void 0;

var _types = _interopRequireDefault(require("./types"));

var _SearchBar = _interopRequireDefault(require("./SearchBar"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/* istanbul ignore next */
_SearchBar["default"].install = function (Vue, options) {
  if (typeof options === 'function') {
    _SearchBar["default"].methods.getDictList = options;
  }

  Vue.component(_SearchBar["default"].name, _SearchBar["default"]);
};

var _default = _SearchBar["default"];
exports["default"] = _default;