"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("babel-runtime/helpers/extends"));

var _vueTypes = _interopRequireDefault(require("ant-design-vue/es/_util/vue-types"));

var _SearchBar = require("../SearchBar");

var _Table = require("../Table");

var _BigTable = require("../BigTable");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var searchTableProps = (0, _extends2["default"])({}, _SearchBar.searchBarProps, _Table.tableProps, _BigTable.bigTableProps, {
  // 搜索条配置参数
  searchOptions: _vueTypes["default"].oneOfType([_vueTypes["default"].bool, _vueTypes["default"].object]),
  // 表格配置参数
  tableOptions: _vueTypes["default"].oneOfType([_vueTypes["default"].bool, _vueTypes["default"].object]),
  // 表格组件名称，easy-table 或 big-table
  tableName: _vueTypes["default"].oneOf(['e-table', 'e-big-table']).def('e-table'),
  // 新增按钮文字，false不展示
  addText: _vueTypes["default"].oneOfType([_vueTypes["default"].bool, _vueTypes["default"].string]).def(true)
});
var _default = searchTableProps;
exports["default"] = _default;