import DictText from './DictText';
import { DictTextProps } from './types';

DictText.install = function (Vue, options) {
  if (typeof options === 'function') {
    DictText.methods.getDictList = options;
  }

  Vue.component(DictText.name, DictText);
};

export default DictText;
export { DictTextProps, DictText };