import PropTypes from 'ant-design-vue/es/_util/vue-types';
export var LoadingProps = {
  // loading的模式
  mode: PropTypes.oneOf(['loading', 'error', 'success']).def('loading'),
  // loading下显示的文字信息
  text: PropTypes.string.def(''),
  // 颜色
  color: PropTypes.string.def('')
};
export var LOADING_MODE = {
  loading: {
    icon: 'loading',
    text: '加载中...'
  },
  error: {
    icon: 'close-circle',
    text: '数据获取失败'
  },
  success: {
    icon: 'check-circle',
    text: '成功'
  }
};