"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "formMixinProps", {
  enumerable: true,
  get: function get() {
    return _types.formMixinProps;
  }
});
Object.defineProperty(exports, "formProps", {
  enumerable: true,
  get: function get() {
    return _types.formProps;
  }
});
Object.defineProperty(exports, "FORM_ITEM_TYPE", {
  enumerable: true,
  get: function get() {
    return _constants.FORM_ITEM_TYPE;
  }
});
Object.defineProperty(exports, "FormMixin", {
  enumerable: true,
  get: function get() {
    return _Form["default"];
  }
});
Object.defineProperty(exports, "Form", {
  enumerable: true,
  get: function get() {
    return _Form2["default"];
  }
});
exports["default"] = void 0;

var _types = require("./types");

var _constants = require("./constants");

var _Form = _interopRequireDefault(require("./Form.mixin"));

var _Form2 = _interopRequireDefault(require("./Form"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/* istanbul ignore next */
_Form2["default"].install = function (Vue, options) {
  if (typeof options === 'function') {
    _Form2["default"].methods.getDictList = options;
  }

  Vue.component(_Form2["default"].name, _Form2["default"]);
};

var _default = _Form2["default"];
exports["default"] = _default;